/***************************************************************************
                          custom_rings.h  -  class to hold custom rings
                             -------------------
    begin                : Fri Aug 30 2002
    copyright            : (C) 2002 by Adam Tenderholt
    email                : atenderholt@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _CUSTOM_RINGS_H
#define _CUSTOM_RINGS_H

#include <qstring.h>
#include <vector>

class CustomRings {

  public:

    CustomRings();
    ~CustomRings();

    QString getTitle(int x);
    QString getRingFile(int x);

    int size() { return ringNames.size(); }

    void createNewFile();
    void addEntry(QString title,QString filename);

    void load();
    void save();

  private:

    std::vector<QString> ringNames;
    std::vector<QString> titles;

};

#endif

//eof

